Bug 223436 - devel/cmake: Update to 3.9.6
Summary: devel/cmake: Update to 3.9.6
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Adriaan de Groot
URL: https://reviews.freebsd.org/D12958
Keywords:
Depends on:
Blocks:
 
Reported: 2017-11-04 22:22 UTC by Adriaan de Groot
Modified: 2017-11-16 10:20 UTC (History)
2 users (show)

See Also:
antoine: exp-run+


Attachments
Patch against SVN r453489 (2.28 KB, patch)
2017-11-04 22:22 UTC, Adriaan de Groot
no flags Details | Diff
Diff against svn r453975 (2.40 KB, patch)
2017-11-11 15:23 UTC, Adriaan de Groot
adridg: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Adriaan de Groot freebsd_committer 2017-11-04 22:22:31 UTC
Created attachment 187741 [details]
Patch against SVN r453489

kde@ would like to ask for an exp-run for this CMake update.

Update CMake to latest upstream release. This is a minor bug-fix release -- the changelog suggests mostly AUTOMOC bugfixes.

The diff against svn is attached, and is also available as https://reviews.freebsd.org/D12958
Comment 1 Antoine Brodin freebsd_committer 2017-11-11 09:12:49 UTC
Exp-run looks fine.
Comment 2 Adriaan de Groot freebsd_committer 2017-11-11 15:22:43 UTC
The upstream CMake releases are coming thick and fast, so kde@ would like to request a re-exp-run for this latest release.
Comment 3 Adriaan de Groot freebsd_committer 2017-11-11 15:23:42 UTC
Created attachment 187918 [details]
Diff against svn r453975

New patch for 3.9.6 instead.
Comment 4 Antoine Brodin freebsd_committer 2017-11-15 19:47:30 UTC
Exp-run looks fine.
Comment 5 commit-hook freebsd_committer 2017-11-16 10:15:23 UTC
A commit references this bug:

Author: adridg
Date: Thu Nov 16 10:15:16 UTC 2017
New revision: 454301
URL: https://svnweb.freebsd.org/changeset/ports/454301

Log:
  Update the cmake family to 3.9.6 (skip 3.9.5, the upstream
  releases are coming quick and fast). Upstream changes are
   - AUTOMOC options fixes (3.9.5)
   - gcc_eh linking (3.9.6)

  Thanks antoine@ for the exp-runs.

  PR:		223436
  Approved by:	tcberner (mentor)
  Differential Revision:	https://reviews.freebsd.org/D12958

Changes:
  head/devel/cmake/Makefile
  head/devel/cmake/distinfo
  head/devel/cmake-doc/Makefile
  head/devel/cmake-gui/Makefile